# Это зачаток программы управления данными на основе описания структуры в json формате.
Пишется на python3 в качестве графической библиотеки Qt5.

# Использование

По умолчанию используется шаблон и БД 'dm'. Для того чтобы изменить БД, создаем JSON шаблон согласно описания (см. примеры в db_template).

Затем данный файл нужно скопировать в '~/.dm/db_template/', следущим шагом меняем в конфиге 'dm.cfg' имя БД на имя вашего шаблона без расширения json, т.е. к примеру для работы с книжным каталогом (файл db_template/library.json) файл настроек будет выглядеть следующим оюбразом: 

```
[DataBase]
db_type = sqlite
db_hostname = localhost
db_name = library
db_user = dm
db_password = password

[Directory]
work_dir = /home/svkalinin/.dm
template_dir = /home/svkalinin/.dm/db_template

```

После этого можно запустить программу, при первом запуске будет создана БД согласно шаблона:
    
```
python3 gui.py
```

# СУБД

Пока реализована работа с Mysql (или Mariadb) и sqlite (по умолчанию). Для из менения типа БД в конфиге меняем 'dbtype':

```
dbtype = sqlite

или

dbtype = mysql
```

